###  | #  |

Public Types | Public Member Functions | List of all members
channel_minus_scalar_t< Channel, Scalar, ChannelResult > Struct Template Reference

Arithmetic operation of subtracting scalar from channel value. More...

`#include <channel_numeric_operations.hpp>`

## Public Types
using | ChannelRef = typename channel_traits< Channel >::const_reference

## Public Member Functions
auto | operator() (ChannelRef channel, Scalar const &scalar) const -> ChannelResult

## Detailed Description

template<typename Channel, typename Scalar, typename ChannelResult>
struct boost::gil::channel_minus_scalar_t< Channel, Scalar, ChannelResult >

Arithmetic operation of subtracting scalar from channel value.

Note
  This is a generic implementation; user should specialize it for better performance.

## Member Function Documentation

## ◆ operator()()

auto operator() | ( | ChannelRef | channel,
|  | Scalar const & | scalar
| ) |  | const -> ChannelResult
| inline

Parameters

  channel | - minuend operand of the subtraction.
  scalar | - subtrahend operand of the subtraction.

The documentation for this struct was generated from the following file:

- channel_numeric_operations.hpp